## org.eclipse.amp.agf.chart
Class BasicChartStrategy

    java.lang.Object
      org.eclipse.amp.agf.chart.BasicChartStrategy

All Implemented Interfaces:
  IChartDesignStrategy

Direct Known Subclasses:
  BasicAxesChartStrategy, HistogramStrategy, PieStrategy

    public abstract class BasicChartStrategy

extends java.lang.Object
implements IChartDesignStrategy

Field Summary
`protected IDataProvider` `dataProvider`
`protected java.lang.Object` `dataSource`

Constructor Summary
`BasicChartStrategy()`

Method Summary
`void` `createLegend()`
`org.eclipse.birt.chart.model.Chart` `getChart()`
`org.eclipse.birt.chart.model.layout.Legend` `getLegend()`
`void` `setChart(org.eclipse.birt.chart.model.Chart chart)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.agf.chart.IChartDesignStrategy
`createChart, getValueSetsDefinition, isInitialized, update, updateSelection`

Field Detail

### dataProvider

    protected IDataProvider dataProvider

### dataSource

    protected java.lang.Object dataSource

Constructor Detail

### BasicChartStrategy

    public BasicChartStrategy()

Method Detail

### createLegend

    public void createLegend()

### setChart

    public void setChart(org.eclipse.birt.chart.model.Chart chart)

  Specified by:
    `setChart` in interface `IChartDesignStrategy`

### getChart

    public org.eclipse.birt.chart.model.Chart getChart()

  Specified by:
    `getChart` in interface `IChartDesignStrategy`

### getLegend

    public org.eclipse.birt.chart.model.layout.Legend getLegend()